Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push.xml
Class XmlLink

    java.lang.Object
      org.hornetq.rest.queue.push.xml.XmlLink

All Implemented Interfaces:
  java.io.Serializable

    public class XmlLink

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `className`
`protected java.lang.String` | `href`
`protected java.lang.String` | `method`
`protected java.lang.String` | `rel`
`protected java.lang.String` | `type`

Constructor Summary
`XmlLink()`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getHref()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getRelationship()`
`java.lang.String` | `getType()`
`void` | `setClassName(java.lang.String className)`
`void` | `setHref(java.lang.String href)`
`void` | `setMethod(java.lang.String method)`
`void` | `setRelationship(java.lang.String relationship)`
`void` | `setType(java.lang.String type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method

    protected java.lang.String method

### className

    protected java.lang.String className

### rel

    protected java.lang.String rel

### type

    protected java.lang.String type

### href

    protected java.lang.String href

Constructor Detail

### XmlLink

    public XmlLink()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getMethod

    public java.lang.String getMethod()

### setMethod

    public void setMethod(java.lang.String method)

### getRelationship

    public java.lang.String getRelationship()

### setRelationship

    public void setRelationship(java.lang.String relationship)

### getHref

    public java.lang.String getHref()

### setHref

    public void setHref(java.lang.String href)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.